Bug Hunting Session
Bug 108923 - PIVOT CHARTS: date format not applied in pivot graphs
Summary: PIVOT CHARTS: date format not applied in pivot graphs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.1 rc
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.0.0 target:5.4.0.2
Keywords:
Depends on:
Blocks: Pivot-Chart
  Show dependency treegraph
 
Reported: 2017-07-03 09:40 UTC by bureautiquelibre
Modified: 2017-07-06 21:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample file / date format modified in pivot chart (22.41 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-07-03 09:40 UTC, bureautiquelibre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bureautiquelibre 2017-07-03 09:40:40 UTC
Created attachment 134447 [details]
Sample file / date format modified in pivot chart

Hi,

Date format not applied in example pivot chart.

Regular chart keeps format intact (see sheet 'Feuille 3', copied from pivot table).

Regards,
Eric Ficheux
Comment 1 raal 2017-07-03 17:57:23 UTC
confirm. Version: 6.0.0.0.alpha0+
Build ID: 77f77c57d336ba041faf51e2168372d1e0962a19
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-29_23:40:47
Comment 2 Commit Notification 2017-07-06 08:59:04 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5eeed755a2eadbadd7a2e0c06216258af028a96e

tdf#108923 : Use display string for generating chart labels

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-06 21:16:33 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d66c7d4e710a4407b4d6685b3b41f3841d6da11&h=libreoffice-5-4

tdf#108923 : Use display string for generating chart labels

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.